Classification Nodes - Get Root Nodes

Gets root classification nodes under the project.

GET https://dev.azure.com/{organization}/{project}/_apis/wit/classificationnodes?api-version=5.0
GET https://dev.azure.com/{organization}/{project}/_apis/wit/classificationnodes?$depth={$depth}&api-version=5.0

URI Parameters

Name In Required Type Description
organization
path True
  • string

The name of the Azure DevOps organization.

project
path True
  • string

Project ID or project name

api-version
query True
  • string

Version of the API to use. This should be set to '5.0' to use this version of the api.

$depth
query
  • integer
int32

Depth of children to fetch.

Responses

Name Type Description
200 OK

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.work Grants the ability to read work items, queries, boards, area and iterations paths, and other work item tracking related metadata. Also grants the ability to execute queries, search work items and to receive notifications about work item events via service hooks.

Definitions

ReferenceLinks

The class to represent a collection of REST reference links.

TreeNodeStructureType

Node structure type.

WorkItemClassificationNode

Defines a classification node for work item tracking.

The class to represent a collection of REST reference links.

Name Type Description
links
  • object

The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only.

TreeNodeStructureType

Node structure type.

Name Type Description
area
  • string

Area type.

iteration
  • string

Iteration type.

WorkItemClassificationNode

Defines a classification node for work item tracking.

Name Type Description
_links

Link references to related REST resources.

attributes
  • object

Dictionary that has node attributes like start/finish date for iteration nodes.

children

List of child nodes fetched.

hasChildren
  • boolean

Flag that indicates if the classification node has any child nodes.

id
  • integer

Integer ID of the classification node.

identifier
  • string

GUID ID of the classification node.

name
  • string

Name of the classification node.

structureType

Node structure type.

url
  • string